# Uses of Class
com.google.protobuf.Type

Packages that use Type
Package
Description
com.google.protobuf

## Uses of Type in com.google.protobuf

Methods in com.google.protobuf that return Type
Modifier and Type
Method
Description
`Type`
Type.Builder.`build()`
`Type`
Type.Builder.`buildPartial()`
`static Type`
Type.`getDefaultInstance()`
`Type`
Type.Builder.`getDefaultInstanceForType()`
`Type`
Type.`getDefaultInstanceForType()`
`static Type`
Type.`parseDelimitedFrom(InputStream input)`
`static Type`
Type.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Type`
Type.`parseFrom(byte[] data)`
`static Type`
Type.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Type`
Type.`parseFrom(ByteString data)`
`static Type`
Type.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Type`
Type.`parseFrom(CodedInputStream input)`
`static Type`
Type.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Type`
Type.`parseFrom(InputStream input)`
`static Type`
Type.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Type`
Type.`parseFrom(ByteBuffer data)`
`static Type`
Type.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Type
Modifier and Type
Method
Description
`Parser<Type>`
Type.`getParserForType()`
`static Parser<Type>`
Type.`parser()`
Methods in com.google.protobuf with parameters of type Type
Modifier and Type
Method
Description
`Type.Builder`
Type.Builder.`mergeFrom(Type other)`
`static Type.Builder`
Type.`newBuilder(Type prototype)`